Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.tooltips
Class HomeOntologyToolTipGenerator

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.tooltips.HomeOntologyToolTipGenerator

All Implemented Interfaces:
  OWLToolTipGenerator

    public class HomeOntologyToolTipGenerator

extends Object
implements OWLToolTipGenerator

Author:
  Nick Drummond, Medical Informatics Group, University of Manchester 28-Mar-2006

Constructor Summary
`HomeOntologyToolTipGenerator()`

Method Summary
`String` | `getToolTipText(RDFProperty prop)` Gets a tool tip text for a given RDFProperty.
`String` | `getToolTipText(RDFResource res)`
`String` | `getToolTipText(RDFSClass aClass)` Gets a tool tip text for a given RDFSClass.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HomeOntologyToolTipGenerator

    public HomeOntologyToolTipGenerator()

Method Detail

### getToolTipText

    public String getToolTipText(RDFSClass aClass)

  Description copied from interface: `OWLToolTipGenerator`
  Gets a tool tip text for a given RDFSClass.

  Specified by:
    `getToolTipText` in interface `OWLToolTipGenerator`
  Parameters:
    `aClass` - the RDFSClass to get the tool tip for
  Returns:
    the text or null if there is no tool tip available for aClass

### getToolTipText

    public String getToolTipText(RDFProperty prop)

  Description copied from interface: `OWLToolTipGenerator`
  Gets a tool tip text for a given RDFProperty.

  Specified by:
    `getToolTipText` in interface `OWLToolTipGenerator`
  Parameters:
    `prop` - the RDFProperty to get the tool tip for
  Returns:
    the text or null if there is no tool tip available for prop

### getToolTipText

    public String getToolTipText(RDFResource res)

  Specified by:
    `getToolTipText` in interface `OWLToolTipGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.